import request from '@/utils/request'

// 查询样品患者信息列表
export function listSamplePatient(query) {
  return request({
    url: '/sample/samplePatient/list',
    method: 'get',
    params: query
  })
}

// 查询样品患者信息详细
export function getSamplePatient(id) {
  return request({
    url: '/sample/samplePatient/' + id,
    method: 'get'
  })
}

// 新增样品患者信息
export function addSamplePatient(data) {
  return request({
    url: '/sample/samplePatient',
    method: 'post',
    data: data
  })
}

// 修改样品患者信息
export function updateSamplePatient(data) {
  return request({
    url: '/sample/samplePatient',
    method: 'put',
    data: data
  })
}

// 删除样品患者信息
export function delSamplePatient(id) {
  return request({
    url: '/sample/samplePatient/' + id,
    method: 'delete'
  })
}
